package com.ruoyi.system.mapper.lawcase;

import java.util.List;

import com.ruoyi.system.domain.lawcase.CaseLawEnforcement;
import com.ruoyi.system.domain.lawcase.CaseLawEnforcementExample;
import org.apache.ibatis.annotations.Param;

public interface CaseLawEnforcementMapper {
    long countByExample(CaseLawEnforcementExample example);

    int deleteByExample(CaseLawEnforcementExample example);

    int deleteByPrimaryKey(String id);

    int insert(CaseLawEnforcement record);

    int insertSelective(CaseLawEnforcement record);

    List<CaseLawEnforcement> selectByExampleWithBLOBs(CaseLawEnforcementExample example);

    List<CaseLawEnforcement> selectByExample(CaseLawEnforcementExample example);

    CaseLawEnforcement selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CaseLawEnforcement record, @Param("example") CaseLawEnforcementExample example);

    int updateByExampleWithBLOBs(@Param("record") CaseLawEnforcement record, @Param("example") CaseLawEnforcementExample example);

    int updateByExample(@Param("record") CaseLawEnforcement record, @Param("example") CaseLawEnforcementExample example);

    int updateByPrimaryKeySelective(CaseLawEnforcement record);

    int updateByPrimaryKeyWithBLOBs(CaseLawEnforcement record);

    int updateByPrimaryKey(CaseLawEnforcement record);
}